## golang 4476-5

=== doc/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include $(GOROOT)/src/Make.$(GOARCH)

TARG=htmlgen
GOFILES=\
	htmlgen.go\

include $(GOROOT)/src/Make.cmd

=== src/libcgo/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# ugly hack to deal with whitespaces in $GOROOT
nullstring :=
space := $(nullstring) # a space at the end
QUOTED_GOROOT=$(subst $(space),\ ,$(GOROOT))

all: libcgo.so

install: $(QUOTED_GOROOT)/pkg/$(GOOS)_$(GOARCH)/libcgo.so

OFILES=\
	$(GOOS)_$(GOARCH).o\
	util.o

#	$(GOARCH).o

CFLAGS_386=-m32
CFLAGS_amd64=-m64

LDFLAGS_linux=-shared -lpthread -lm
LDFLAGS_darwin=-dynamiclib -Wl,-undefined,dynamic_lookup /usr/lib/libpthread.dylib
LDFLAGS_freebsd=-pthread -shared -lm

%.o: %.c
	gcc $(CFLAGS_$(GOARCH)) -O2 -fPIC -o $@ -c $*.c

%.o: %.S
	gcc $(CFLAGS_$(GOARCH)) -O2 -fPIC -o $@ -c $*.S

libcgo.so: $(OFILES)
	gcc $(CFLAGS_$(GOARCH)) -o libcgo.so $(OFILES) $(LDFLAGS_$(GOOS))

$(QUOTED_GOROOT)/pkg/$(GOOS)_$(GOARCH)/libcgo.so: libcgo.so
	cp libcgo.so $(QUOTED_GOROOT)/pkg/$(GOOS)_$(GOARCH)

clean:
	rm -f *.o *.so

=== src/libmach/Makefile ===
# Derived from Inferno libmach/mkfile
# http://code.google.com/p/inferno-os/source/browse/utils/libmach/mkfile
#
#	Copyright © 1994-1999 Lucent Technologies Inc.
#	Power PC support Copyright © 1995-2004 C H Forsyth (forsyth@terzarima.net).
#	Portions Copyright © 1997-1999 Vita Nuova Limited.
#	Portions Copyright © 2000-2007 Vita Nuova Holdings Limited (www.vitanuova.com).
#	Revisions Copyright © 2000-2004 Lucent Technologies Inc. and others.
#	Portions Copyright © 2009 The Go Authors.  All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

include ../Make.conf

LIB=libmach.a
OFILES=\
	executable.$O\
	fakeobj.$O\
	map.$O\
	obj.$O\
	swap.$O\
	sym.$O\
	access.$O\
	machdata.$O\
	setmach.$O\
	5.$O\
	6.$O\
	8.$O\
	5db.$O\
	8db.$O\
	5obj.$O\
	6obj.$O\
	8obj.$O\

ifneq ($(GOOS),mingw)
OFILES+=\
	$(shell uname | tr A-Z a-z).$O\

endif

HFILES=../../include/mach.h elf.h macho.h obj.h

install: $(LIB)
	cp $(LIB) ../../lib

$(LIB): $(OFILES)
	ar rsc $(LIB) $(OFILES)

$(OFILES): $(HFILES)

clean:
	rm -f *.$O $(LIB)

nuke: clean
	rm -f "$(GOROOT)"/lib/$(LIB)

=== misc/cgo/gmp/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.$(GOARCH)

TARG=gmp

# Can have plain GOFILES too, but this example doesn't.

CGOFILES=\
	gmp.go

CGO_LDFLAGS=-lgmp

# To add flags necessary for locating the library or its include files,
# set CGO_CFLAGS or CGO_LDFLAGS.  For example, to use an
# alternate installation of the library:
#	CGO_CFLAGS=-I/home/rsc/gmp32/include
#	CGO_LDFLAGS+=-L/home/rsc/gmp32/lib
# Note the += on the second line.

CLEANFILES+=pi fib

include ../../../src/Make.pkg

# Simple test programs

# Computes 1000 digits of pi; single-threaded.
pi: install pi.go
	$(GC) pi.go
	$(LD) -o $@ pi.$O

# Computes 200 Fibonacci numbers; multi-threaded.
fib: install fib.go
	$(GC) fib.go
	$(LD) -o $@ fib.$O

=== misc/cgo/stdio/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.$(GOARCH)

TARG=stdio
CGOFILES=\
	file.go

CLEANFILES+=hello fib chain run.out

include ../../../src/Make.pkg

%: install %.go
	$(QUOTED_GOBIN)/$(GC) $*.go
	$(QUOTED_GOBIN)/$(LD) -o $@ $*.$O

=== src/pkg/bytes/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.$(GOARCH)

TARG=bytes
GOFILES=\
	buffer.go\
	bytes.go\

OFILES=\
	asm_$(GOARCH).$O\

include ../../Make.pkg

=== src/pkg/ebnf/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.$(GOARCH)

TARG=ebnf
GOFILES=\
	ebnf.go\
	parser.go\

include ../../Make.pkg

=== src/pkg/flag/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.$(GOARCH)

TARG=flag
GOFILES=\
	flag.go\

include ../../Make.pkg

=== src/pkg/fmt/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.$(GOARCH)

TARG=fmt
GOFILES=\
	format.go\
	print.go\

include ../../Make.pkg

=== src/pkg/image/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.$(GOARCH)

TARG=image
GOFILES=\
	color.go\
	image.go\

include ../../Make.pkg

=== src/pkg/once/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.$(GOARCH)

TARG=once
GOFILES=\
	once.go\

include ../../Make.pkg

=== src/pkg/os/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.$(GOARCH)

TARG=os
GOFILES=\
	dir_$(GOOS).go\
	env.go\
	error.go\
	exec.go\
	file.go\
	getwd.go\
	path.go\
	proc.go\
	stat_$(GOOS).go\
	sys_$(GOOS).go\
	time.go\
	types.go\

include ../../Make.pkg

=== debian/changelog ===
golang (4476-5) unstable; urgency=low

  * Using the -m option to uuencode the icon correctly.

 -- Kees Jongenburger <kees.jongenburger@gmail.com>  Mon,  1 Feb 2010 09:16:35 +0100

=== debian/control ===
Source: golang
Section: user/development
Priority: extra
Maintainer: Kees Jongenburger <kees.jongenburger@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: golang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The go compiler and standard libraries.
 The go compiler and standard libraries. Go is a systems programming language. It is expressive, concurrent and garbage-collected.
 see http://golang.org/ for more information.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oBHBYcCd/ebkUAAA39SURBVGje1ZprjF3Vdcf//73POffc17xsz4yf
 Y8c42DVgC+oKFSFEoYHQShTJKZVoP1iNXFXwLXypq4YP/VAJVFcVSFEpQohQ
 LFmUiCIqUAFXCoIguTxcG8iE1GOcAh38mJn7PnvvtfrhnHNzbdogm7QiWzq6
 j7mP31r7v9Zea80lRtbYWPO2tJJ+w1qzxVobV5JE4jgKNordIBt4CeJVRVQR
 SONJhBB8AOgVCME5LxrEmMgba3zw3omItzYK1tqgIiIqPrKRs9Z6GjiSzhrr
 FHAAHMmBNcxI44xlpqKZqmYhhAw0A0v2APRPfDDvAYAAsHnbtsgG/+i2rVv2
 RdYgeAdrDaLIggCCCFQVIQhCEIiIiKiKShCRIPm9oNAgAq8qQVWDKhxUnUIz
 VWSADgD2odpXogdFF2QPig6JjgIdAm0AHZJtAB1AOyLaEdGuAl1jTE8VPVFt
 H/v3Ey4CgEYluffaq3fvWzxzRuY//A/p9noQkdw6QEGCgJJQBQBQCKgqJL+B
 QFUABIACagAYCBTPQYrXKABVQAFI/pkUkML8dQFEAOgJeAAOhCPoSTpj6K2N
 fK1Wkziy0XW7rwnRlTu2x1+b2/DtlZUVvHzkhxJCoLGWBEAWX2OgpcwIKgiD
 HM4CEJJaPjZkAEGApniLklCAAsCTMABJFm4hhLkBAtKT9MylVFxwBDOQzhjj
 jLE+iIRGvS7GkFG3093cqNe2vHn0bQ0iTJKEpbQQAKQAsguQpPizBYaGCQCT
 7xZy2zkMLQWoUBUlAkEPqFOFUyAjkKlqH2Cf1D6BHoBe/hg9FJq3xgwUyEjj
 XeZ8z/QkSRKNKkm8vtPu1JeWV3xkbQ7vABWQVUX81x7+7w3k32wOU8mdOgJf
 xpIAkFxWEFILWHiFZgAGUAwCpE+wD7KrKl0CHZC59sk2VNsgOgTbJLsgegT7
 KjowopmKONUoKBCCQiNIGO9nGQaDTEkSAcC0MnnAI/49AWeB5I8E/tWA7M8i
 yAkSCRQKLYxQlPrNL59fdGDpXfRzr6ILoAtqB6odVbQUaEG1RbIF1RaANhRt
 QDt5EKNHYkBwQEMXxPggElREf/afH2sUROqDzEFCyPc7AJW/9Uh+X5D9gOBq
 AG0g/l2FucqxuzsWtCmwKHV/ETgcgAyFNAoDSvgCim1A26poAT+/NDekDaCj
 ql2APRL9IoM5CLy1KlDo4tKyAoCJorjqvIeIKIRgFbDXK6QP9L8VQd4lBn8S
 yeCgUfmRUU4Ovf+/wpMcFPCFnktwdEpQVawAWCG5AmBFVVcAtFW1o6ql5/si
 OhARB8BDNQwGmbTa7aF8I2NMxbkAhYKGqgNAfwLYTUDl7wLMZgVnFYPvRAGA
 MoIiugDejdw6YwwB1ERkOg9mLkZRtBBCqNTr9XXe+5/2+/2PS6+LSItkm2QJ
 3yXZIzkQkUHxmSGEELz3elHsIfIhVJwPUIWSeb4Y3B+R/+BR+WMBANgj3oR/
 JbO/tD68aQITyIjXQ+F1OzExMTs9PR13Oh0zOzuLyclJdLvdCRH52kcffeTW
 r1+fzs3N7X7uuecOO+eOqGqbZKuQTEdVOyT7JPsikhXw3nsvIYTPwSNPfayE
 IBj+MQLkHSPd3bF0vxmJP0rVk9T4d5S1f/Gx2S2AG8J7VfXVarUxNzc3s2nT
 ptR7b2dnZzk9Pc2xsTG0222ePHkyvuOOO6oLCwvcsGFDLU3ThuYBW2q+XcD3
 LgUeAIyIJKqSv0ABpKr2JoG5TuBeNCLHid5tket/13g2geibalThCnhWq9Wp
 ycnJiXq9btI0hXNOp6amUKvVUK1W+dZbb2FxcVGbzSYOHDiAQ4cOcW5u7qUC
 vqWqbVXtGGOG8Pmpa7xz7hfCA4Ax1sYiIgCUnoFTQPVVZ6rPemM2Fod+AmGl
 eMcgD1qScaVSWT07O5uOj4/DGKPnz5/X9evX03uPZrOJyclJ3H///bj11lux
 bt06jI+P68GDByWE8Iejms/rGy3hM5Leey8lF37BsqtWrbrdGnP9uXPnPC2t
 ngNQBePblfGfijFblPE+ieI71IR5yODPoxaXqJPjU6umV0+bqYlJNOtNLJ9f
 Rmu5xV3X7MKZs2cQRRFCCFhaWtIdO3Zwbm4OzWaT4+Pj3Lp164ZWq/XqqVOn
 FowxfVUdqGpWlA/BOVfCf+EykbWJqnqSCkIRQbMD1nfvibw/bAIAlWP0/QO2
 1/2t+BxOmRDN2FX1Hamxm4mwziNb09cPu/PsTXTw+onXceL4CRw/fhyqihtv
 vJE7duxAs9lks9lEs9nErl274jRNDxTwfVUdXA48AEQ0hpq/Ib+KEsw/bbx/
 2oTKQZ+6g7YtP2MfUDu7dmZV51tn7dK9HwEKGFoQ5AQMvCzh3JNd/OY7t+hv
 XL+HR44cwe233456vY5Go6GNRoPVahXValVvuOGGr2/evPnXHn300R8xL+Iu
 GR4AIhUhgECyNAIgwCTP89l3oxU4OCZw1kZJfbzGzjNtXPnjq5A5p+1Wh/Va
 XV2WcWZmBldvvwYnk5N46qmncOedd6LRaJQXi8BGmqZ61113VQ8dOrSX5A8B
 hCzLVPOS/JJWJCJC0hdlsc1Ldugwx/fhQGQ0dN573+v1xmqsmSmu1vpknfF0
 jDhJODs7g1qtpgunFjA5NcmbbroJp0+fRrPZRKPRQLVaRa1WQ5qmGscxN27c
 KDMzM3fec889f/XEE0+c1uKLL3XZycnJbxhjrl5eXlaSLD4nDA3I4bNCp61O
 p3O23W5jx84daaPZsGMTY5haNYlGs4Gx8TFese0KGmOwtLSEvXv3YvXq1ajV
 aiU8kiRhpVJBFEWmVqs1H3744SvWrFmz9rPPPjsNYOWSDVi9evVvA7hqZWVF
 ALDwRGlARnK0ouwDWALwSZqmG7Zu3ZoUganNZhNjY2NsNpvYsmUL9uzZgzVr
 1qBer5dnAiqVCiqVisZxDGstZ2dn5fXXX9945ZVX1o4ePRoAHL1UA4yqDkth
 kqEIKAdgUBZlI+Vwp+hXz5w6deqDarUqjUZDy/TYaDSGkmk0GqjX6yiCFpVK
 BUmSIIoiGmNorYUxBmvXrk2Wl5d/AOB7lyMhU5yoDj+fCpSHydDzqlobKYfb
 JFsrKytvLS4uflx4XUd3otlsaun5NE1RqVRw7tw5HD58GGfPnlVr7bB02bNn
 T7xz584eLnOZUiqlAcX9wYhkuigmBcVtq6hjTr3yyisnAGRjY2Os1+s6NjbG
 Wq2mtVqN1WpVC81rkiR4/PHHdWJiAvv27WPRQwMAtm/fjoWFBfulDSBZgo/K
 pgugS/J0AV9eKwBWFhcXn3355ZcXCs+zVqtJCV+r1ZgkiaZpimPHjummTZsY
 RRH279+fZ+rcCK5du1beeecdvVwDIgBOVQdFXxuKXFzKpzuyA+XVGinEWi+9
 9NL39+7d+51du3ZNpGmKWq2maZoyjmNNkoTWWrn22mu5Z88eZb5QJAqSZJqm
 od1udy57Bwr990mOButoF9UeafuGXZSIrBQNybuPPPLIP1erVVer1XhRppEo
 ioYBW8KTNIXDFIDdtGnT9JfdgX7hkVJSgzJoi6qxdbHnyy4KwKfvv/9+3Vo7
 SNM0TpKkhIe1tnD6UPP54GBEQiRlenr68mNAc82XXu+S7I6M9sqAXSngV0Yb
 kbIcds79dHl5OatUKojjGFEUwVqLAjafxuUH5HBaVJ74y8vLnJmZaV3+Dqhm
 BThU1RSptKeqowHbLj1f3L+glvfefzAYDPoFPI0xOup5VTX5Ia+jO0AAOj8/
 j6mpqfOXbUBxWHVHnsuKHbkgaP8H+F5haN97fz6E4KMoAkk1xpQlCQrmUfbh
 DpDEm2++6VatWvX+lzGgX/Sj5eGSAeiOALeKkUfnIs/3yy7KGKNJkth84MlR
 rZOklDswErjDyd5rr72GNWvWbABw/HKzUH9U86XWi2lBOa/5XP9aNCJZPnA1
 SZqmZbYpAUvhD+HL9KmqQpIvvPCC3nLLLU5Ent6+ffsVlxvEpd7zsV4xaBq5
 WiQ7IjLq+QtawBDCK865cPGHjwRxqfthGj169Cgee+yxf1pcXPz2sWPH/ua6
 6647eVkSUpFuIRUhGQj0dWSKRnI4KSs8P1BVN9oCqqo88MAD+vzzz4eRgB01
 ZPhgMBjgxRdfPPvggw9+74033viL8vl333338tKo5BJqFZJpXXRolfDdEfis
 qFZDlmVlC3jm+PHjf3DffffNk0TeIw0XAGB5eVmeffZZ3b9//9uLi4u/Pgr/
 ZVZUeLxVzjqLydgQXFU/53kAwTl3QQu4sLDwxjPPPHN3COH5nTt3zkxMTCSN
 RoMicu699977bHFx8f00TZ9/8sknv190gPjlGEAMkM/iJe8FLqj9eyOad8YY
 p6qfgx9ZH9br9fnbbrtt4913333w7bff/sdt27Z9Oj8//3FRLOKhhx7CL3Nx
 69Ytsyr4+tLSkvgQvIj0Qwh9EekVvcCgyDb+C+ABoDE1NfXCzTfffOrw4cP3
 Wmtb+D9e3LbtiimRsGVpaTlIkOCCHwQf+iIy6nmvqiHLsi+clP1/r8gQDjRd
 Y0xQVW/EZEIZkMxExBljnIiIc+4rB19Uo/TWoBvZSKDqA8Xleh16/isLX+5A
 MMb2osiqSAjGlE09PaDBuUy/qvAAEEVRHEgM4jjSICFYkRCCBGOM5NOyry48
 AERxbAVglsQxfAgiQSTYEESMFv/S+Uov+8mni1i/bhakyX+LoSohBF1aXv7K
 w5dTCaggGEOJo0jiONYzZ8/9SsCXPxfAJ5/+F9bNzkBh8OP5n/zKwAPAfwOU
 XJK0nN7lowAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	#$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/golang install

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## golang 4476-6

=== Makefile ===
export GOROOT=$(PWD)
export GOOS=linux
export GOARCH=arm
export GOBIN=$(DESTDIR)/opt/go/bin
export GOPKG=$(DESTDIR)/opt/go/

install:
	mkdir -p $(GOBIN)
	$(MAKE) -C src
	cp -r $(GOROOT)/pkg $(GOPKG)
	install -m 755 profile $(GOBIN)/go_profile

=== src/Makefile ===
# GNU Make syntax:
nullstring :=
space := $(nullstring) # a space at the end
QUOTED_GOROOT=$(subst $(space),\ ,$(GOROOT))

all: build run

build:
	bash $(QUOTED_GOROOT)/src/make.bash

run:
	bash $(QUOTED_GOROOT)/src/run.bash

clean:
	bash $(QUOTED_GOROOT)/src/clean.bash

=== src/lib9/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../Make.conf

LIB=lib9.a

NUM=\
	charstod.$O\
	pow10.$O\

# Could add fmt/errfmt, but we want to pick it up from ./errstr.c instead.
FMTOFILES=\
	dofmt.$O\
	fltfmt.$O\
	fmt.$O\
	fmtfd.$O\
	fmtfdflush.$O\
	fmtlocale.$O\
	fmtlock2.$O\
	fmtnull.$O\
	fmtprint.$O\
	fmtquote.$O\
	fmtrune.$O\
	fmtstr.$O\
	fmtvprint.$O\
	fprint.$O\
	nan64.$O\
	print.$O\
	seprint.$O\
	smprint.$O\
	snprint.$O\
	sprint.$O\
	strtod.$O\
	vfprint.$O\
	vseprint.$O\
	vsmprint.$O\
	vsnprint.$O\
	$(NUM)\

UTFOFILES=\
	rune.$O\
	utfecpy.$O\
	utflen.$O\
	utfnlen.$O\
	utfrrune.$O\
	utfrune.$O\
	utfutf.$O\
	runetype.$O\

LIB9OFILES=\
	_p9dir.$O\
	_exits.$O\
	argv0.$O\
	atoi.$O\
	cleanname.$O\
	create.$O\
	dirfstat.$O\
	dirfwstat.$O\
	dirstat.$O\
	dirwstat.$O\
	dup.$O\
	errstr.$O\
	exec.$O\
	execl.$O\
	exitcode.$O\
	exits.$O\
	getenv.$O\
	getfields.$O\
	getwd.$O\
	main.$O\
	nan.$O\
	nulldir.$O\
	open.$O\
	readn.$O\
	seek.$O\
	strecpy.$O\
	sysfatal.$O\
	time.$O\
	tokenize.$O\

ifeq ($(GOOS),mingw)
LIB9OFILES+=\
	win32.$O\

else
LIB9OFILES+=\
	await.$O\
	getuser.$O\
	jmp.$O\
	notify.$O\
	rfork.$O\

endif

OFILES=\
	$(LIB9OFILES)\
	$(FMTOFILES)\
	$(UTFOFILES)\

HFILES=\
	"$(GOROOT)"/include/u.h\
	"$(GOROOT)"/include/libc.h\

install: $(LIB)
	cp $(LIB) "$(GOROOT)/lib"

$(LIB): $(OFILES)
	ar rsc $(LIB) $(OFILES)

%.$O: fmt/%.c
	$(CC) -c $(CFLAGS) -DPLAN9PORT -Ifmt $<

%.$O: utf/%.c
	$(CC) -c $(CFLAGS) $<

clean:
	rm -f *.$O *.6 6.out $(LIB)

nuke: clean
	rm -f "$(GOROOT)"/lib/$(LIB)

#XLIB=$PLAN9/lib/$LIB

#testfmt: testfmt.$O $XLIB
#	$LD -o $target testfmt.$O

#testfltfmt: testfltfmt.$O $XLIB
#	$LD -o $target testfltfmt.$O

#testprint: testprint.$O $XLIB
#	$LD -o $target testprint.$O

=== src/libbio/Makefile ===
# Derived from http://code.google.com/p/inferno-os/source/browse/libbio/mkfile
# 
# 	Copyright © 1994-1999 Lucent Technologies Inc.  All rights reserved.
# 	Revisions Copyright © 2000-2007 Vita Nuova Holdings Limited (www.vitanuova.com).  All rights reserved.
# 	Portions Copyright © 2009 The Go Authors.  All rights reserved.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

include ../Make.conf

LIB=libbio.a

OFILES=\
	bbuffered.$O\
	bfildes.$O\
	bflush.$O\
	bgetc.$O\
	bgetrune.$O\
	bgetd.$O\
	binit.$O\
	boffset.$O\
	bprint.$O\
	bputc.$O\
	bputrune.$O\
	brdline.$O\
	brdstr.$O\
	bread.$O\
	bseek.$O\
	bwrite.$O\

HFILES=\
	../../include/bio.h

install: $(LIB)
	cp $(LIB) ../../lib

$(LIB): $(OFILES)
	ar rsc $(LIB) $(OFILES)

$(OFILES): $(HFILES)

y.tab.c: $(YFILES)
	yacc $(YFLAGS) $(YFILES)

clean:
	rm -f $(OFILES) *.6 6.out $(LIB)

nuke: clean
	rm -f ../../lib/$(LIB)

=== src/pkg/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# After editing the DIRS= list or adding imports to any Go files
# in any of those directories, run:
#
#	./deps.bash
#
# to rebuild the dependency information in Make.deps.

all: install

DIRS=\
	archive/tar\
	asn1\
	big\
	bignum\
	bufio\
	bytes\
	compress/flate\
	compress/gzip\
	compress/zlib\
	container/heap\
	container/list\
	container/ring\
	container/vector\
	crypto/aes\
	crypto/block\
	crypto/hmac\
	crypto/md4\
	crypto/md5\
	crypto/rc4\
	crypto/rsa\
	crypto/sha1\
	crypto/sha256\
	crypto/subtle\
	crypto/tls\
	crypto/x509\
	crypto/xtea\
	debug/dwarf\
	debug/macho\
	debug/elf\
	debug/gosym\
	debug/proc\
	ebnf\
	encoding/ascii85\
	encoding/base64\
	encoding/binary\
	encoding/git85\
	encoding/hex\
	encoding/pem\
	exec\
	exp/datafmt\
	exp/draw\
	exp/eval\
	exp/exception\
	exp/iterable\
	exp/parser\
	expvar\
	flag\
	fmt\
	go/ast\
	go/doc\
	go/parser\
	go/printer\
	go/scanner\
	go/token\
	gob\
	hash\
	hash/adler32\
	hash/crc32\
	http\
	image\
	image/jpeg\
	image/png\
	io\
	io/ioutil\
	json\
	log\
	malloc\
	math\
	net\
	once\
	os\
	os/signal\
	patch\
	path\
	rand\
	reflect\
	regexp\
	rpc\
	runtime\
	sort\
	strconv\
	strings\
	sync\
	syscall\
	syslog\
	tabwriter\
	template\
	testing\
	testing/iotest\
	testing/quick\
	testing/script\
	time\
	unicode\
	utf8\
	websocket\
	xgb\
	xml\

NOTEST=\
	debug/proc\
	exp/draw\
	go/ast\
	go/doc\
	go/token\
	hash\
	image\
	image/jpeg\
	malloc\
	rand\
	runtime\
	syscall\
	testing/iotest\
	xgb\

TEST=\
	$(filter-out $(NOTEST),$(DIRS))

clean.dirs: $(addsuffix .clean, $(DIRS))
install.dirs: $(addsuffix .install, $(DIRS))
nuke.dirs: $(addsuffix .nuke, $(DIRS))
test.dirs: $(addsuffix .test, $(TEST_dummy))

%.clean:
	+cd $* &&  "$(GOBIN)"/gomake clean

%.install:
	+cd $* &&  "$(GOBIN)"/gomake install

%.nuke:
	+cd $* &&  "$(GOBIN)"/gomake nuke

%.test:
	+cd $* &&  "$(GOBIN)"/gomake test

clean: clean.dirs

install: install.dirs

test:	test.dirs

nuke: nuke.dirs
	rm -rf "$(GOROOT)"/pkg/*

deps:
	./deps.bash

-include Make.deps

=== src/cmd/5a/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.conf

TARG=\
	5a\

HFILES=\
	a.h\
	y.tab.h\
	../5l/5.out.h\

OFILES=\
	y.tab.$O\
	lex.$O\
#	../5l/enam.$O\

YFILES=\
	a.y\

$(TARG): $(OFILES)
	$(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lbio -l9

$(OFILES): $(HFILES)

lex.$O:	../cc/macbody ../cc/lexbody

y.tab.h: $(YFILES)
	bison -y $(YFLAGS) $(YFILES)

y.tab.c: y.tab.h
	test -f y.tab.c && touch y.tab.c

clean:
	rm -f *.$O $(TARG) *.5 enam.c 5.out a.out y.tab.h y.tab.c

install: $(TARG)
	cp $(TARG) "$(GOBIN)"/$(TARG)

=== src/cmd/5c/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.conf

TARG=\
	5c\

HFILES=\
	gc.h\
	../5l/5.out.h\
	../cc/cc.h\

OFILES=\
	cgen.$O\
	list.$O\
	sgen.$O\
	swt.$O\
	txt.$O\
	mul.$O\
	reg.$O\
	peep.$O\
	pgen.$O\
	pswt.$O\
	../5l/enam.$O\

LIB=\
	../cc/cc.a$O

$(TARG): $(OFILES) $(LIB)
	$(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) $(LIB) -lbio -l9

$(OFILES): $(HFILES)

clean:
	rm -f *.$O $(TARG) *.5 enam.c 5.out a.out

install: $(TARG)
	cp $(TARG) "$(GOBIN)"/$(TARG)

%.$O: ../cc/%.c
	$(CC) $(CFLAGS) -c -I. -o $@ ../cc/$*.c

=== src/cmd/5g/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.conf

TARG=\
	5g

HFILES=\
	../gc/go.h\
	../5l/5.out.h\
	gg.h\
	opt.h\

OFILES=\
	../5l/enam.$O\
	list.$O\
	galign.$O\
	gobj.$O\
	ggen.$O\
	gsubr.$O\
	cgen.$O\
	cgen64.$O

LIB=\
	../gc/gc.a$O

$(TARG): $(OFILES) $(LIB)
	$(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) $(LIB) -lbio -l9 -lm

$(OFILES): $(HFILES)

clean:
	rm -f *.o $(TARG) *.5 enam.c 5.out a.out

install: $(TARG)
	cp $(TARG) "$(GOBIN)"/$(TARG)

=== src/cmd/5l/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.conf

TARG=\
	5l\

OFILES=\
	asm.$O\
	enam.$O\
	lib.$O\
	list.$O\
	noop.$O\
	obj.$O\
	optab.$O\
	pass.$O\
	thumb.$O\
	softfloat.$O\
	span.$O\
	go.$O\

HFILES=\
	l.h\
	../5l/5.out.h\

$(TARG): $(OFILES)
	$(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lbio -l9

$(OFILES): $(HFILES)

enam.c: 5.out.h
	sh mkenam

clean:
	rm -f *.o $(TARG) *.5 enam.c 5.out a.out

install: $(TARG)
	cp $(TARG) "$(GOBIN)"/$(TARG)

%.$O: ../ld/%.c
	$(CC) $(CFLAGS) -c -I. ../ld/$*.c

=== src/cmd/6a/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.conf

TARG=\
	6a\

HFILES=\
	a.h\
	y.tab.h\
	../6l/6.out.h\

OFILES=\
	y.tab.$O\
	lex.$O\
	../6l/enam.$O\

YFILES=\
	a.y\

$(TARG): $(OFILES)
	$(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lbio -l9

$(OFILES): $(HFILES)

lex.$O:	../cc/macbody ../cc/lexbody

y.tab.h: $(YFILES)
	bison -y $(YFLAGS) $(YFILES)

y.tab.c: y.tab.h
	test -f y.tab.c && touch y.tab.c

clean:
	rm -f *.$O $(TARG) *.6 enam.c 6.out a.out y.tab.h y.tab.c

install: $(TARG)
	cp $(TARG) "$(GOBIN)"/$(TARG)

=== src/cmd/6c/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.conf

TARG=\
	6c\

HFILES=\
	gc.h\
	../6l/6.out.h\
	../cc/cc.h\

OFILES=\
	cgen.$O\
	list.$O\
	sgen.$O\
	swt.$O\
	txt.$O\
	pgen.$O\
	pswt.$O\
	div.$O\
	mul.$O\
	reg.$O\
	peep.$O\
	../6l/enam.$O\

LIB=\
	../cc/cc.a$O

$(TARG): $(OFILES) $(LIB)
	$(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) $(LIB) -lbio -l9

$(OFILES): $(HFILES)

clean:
	rm -f *.$O $(TARG) *.6 enam.c 6.out a.out

install: $(TARG)
	cp $(TARG) "$(GOBIN)"/$(TARG)

%.$O: ../cc/%.c
	$(CC) $(CFLAGS) -c -I. -o $@ ../cc/$*.c

=== src/cmd/6g/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.conf

TARG=\
	6g

HFILES=\
	../gc/go.h\
	../6l/6.out.h\
	gg.h\
	opt.h\

OFILES=\
	list.$O\
	gobj.$O\
	galign.$O\
	ggen.$O\
	cgen.$O\
	gsubr.$O\
	peep.$O\
	reg.$O\
	../6l/enam.$O\

LIB=\
	../gc/gc.a$O

$(TARG): $(OFILES) $(LIB)
	$(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) $(LIB) -lbio -l9 -lm

$(OFILES): $(HFILES)

clean:
	rm -f $(TARG) enam.c 6.out a.out *.$O *.6

install: $(TARG)
	cp $(TARG) "$(GOBIN)"/$(TARG)

=== debian/changelog ===
golang (4476-6) unstable; urgency=low

  * Added XSBC-Bugtracker field in the control file as recommended by the
    maemo policy that can be found here http://wiki.maemo.org/Packaging .

 -- Kees Jongenburger <kees.jongenburger@gmail.com>  Mon, 15 Mar 2010 20:42:08 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Description: The go compiler and standard libraries.
  The go compiler and standard libraries. Go is a systems programming language. It is expressive, concurrent and garbage-collected.
  see http://golang.org/ for more information.
+XSBC-Bugtracker: mailto:kees.jongenburger@gmail.com
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
